Preview Studio Voice
curl --request GET \
--url https://api.revring.ai/v1/voices/studio/library/{voiceId}/preview \
--header 'x-api-key: <api-key>'import requests
url = "https://api.revring.ai/v1/voices/studio/library/{voiceId}/preview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.revring.ai/v1/voices/studio/library/{voiceId}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "unauthorized"
}{
"error": "not_enabled",
"message": "<string>"
}{
"error": "not_found"
}Voices
Preview Studio Voice
Get a short spoken preview of a Studio library voice as an MP3, before adding it. Optionally provide your own text.
GET
/
voices
/
studio
/
library
/
{voiceId}
/
preview
Preview Studio Voice
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Studio library voice ID
Query Parameters
Text to speak in the preview (up to 200 characters). Defaults to the voice's sample.
Response
An MP3 audio preview
The response is of type file.